<?php
   
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
	$id_dist = $_POST['idinv'];
    
    $qa = "SELECT * FROM inversionista WHERE id_inver = '".$id_dist."'";

	$ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());

	$ra = mysql_fetch_row($ca);
	$rfc = $ra[1];
	$nombre = $ra[7];
	$appat = $ra[5];
	$apmat = $ra[6];
	$idprom = $ra[2];
	$fecha = $ra[8];
    $edoc = $ra[9];
    $domicilio = $ra[10];
    $colonia = $ra[11];
    $sector = $ra[12];
    $ciudad = $ra[13];
    $estado = $ra[14];
    $pais = $ra[15];
    $cp = $ra[16]; 
    $tel1 = $ra[17];
    $tel2 = $ra[18];
    $email = $ra[19];
    $sexo = $ra[20];
    $nocuenta = $ra[21];
    $banco = $ra[22];
    $estampa = $ra[23];
    $califico = $ra[24];
    $nomusr = $rfc;
	
	
   $feccha = explode("-",$fecha);
   $day = $feccha[2]-1;
   $month = $feccha[1]-1;
   $year = $feccha[0]-1920;	
   $busqrfc = "SELECT rfc,nombre,appat,apmat FROM inversionista WHERE id_inver = '$idprom'";
   $cons = mysql_query($busqrfc) or die ('Err0: '.mysql_error());
   $promo = mysql_fetch_object($cons);
   $rfcp = $promo->rfc;
   $nombrep = "$promo->nombre $promo->appat $promo->apmat"; 
?>

<html>
 <head>
  <title></title>
 <script language="JavaScript1.2" type="text/javascript">  
     var estados_1=new Array("Aguascalientes", "B.C. Norte","B.C. Sur","Campeche", "Chiapas", "Chiuahua","Coahuila", 
     "Colima","Durango","Guanajuato","Guerrero","Hidalgo","Jalisco","Mexico","Michoacan","Morelos","Nayarit","Monterrey",
     "Oaxaca","Puebla","Queretaro","Quintana Roo","San Luis Potosi","Sinaloa","Sonora","Tabasco","Tamaulipas","Tlaxcala",
     "Veracruz","Yucatan","Zacatecas")
     //var estados_2=new Array("Alabama","California","Chicago","Washington")  
      
    function cambia_estado(){
  	//tomo el valor del select del pais elegido
    var pais
    pais = document.f1.pais[document.f1.pais.selectedIndex].value
    //miro a ver si el pais está definido
    if (pais == 1) {
       document.f1.estado.disabled = false
    	//si estaba definido, entonces coloco las opciones del estado correspondiente.
       //selecciono el array de estado adecuado
       estados=eval("estados_" + pais)
       //calculo el numero de estados
       num_estados = estados.length
       //marco el número de estados en el select
       document.f1.estado.length = num_estados
       //para cada estado del array, la introduzco en el select
       for(i=0;i<num_estados;i++){
          document.f1.estado.options[i].value=i+1
          document.f1.estado.options[i].text=estados[i]
       }
    }else{
       //si no había estado seleccionada, elimino los estados del select
       document.f1.estado.length = 1
       //coloco un guión en la única opción que he dejado
       document.f1.estado.options[0].value = "0"
       document.f1.estado.options[0].text = "-"
       document.f1.estado.disabled = true
    }
    //marco como seleccionada la opción primera de estados
    document.f1.estado.options[0].selected = true
}

function mi_cuenta()
{
    var banc
    banc = document.f1.banco[document.f1.banco.selectedIndex].value
    if (banc != 0) {
       document.f1.cuenta.disabled = false
       }
    else{
       document.f1.cuenta.value = ''
       document.f1.cuenta.disabled = true
      }
   }

   
function ValidarAlfanumerico(cadena) {
var numeros="0123456789";
for (var i=0;i<cadena.length;i++) {
	if (numeros.indexOf(cadena.substring(i,i+1))!=-1){
		return false;
		}
	}
return true;
}

function ValidarNumerico(cadena) {
var numeros="0123456789";
for (var i=0;i<cadena.length;i++) {
	if (numeros.indexOf(cadena.substring(i,i+1))==-1){
		return false;
		}
	}
return true;
}

function ValidarEmail(cadena) {
var i;
i=cadena.indexOf('@');
if (i!=-1) {
	if (cadena.indexOf('.',i)!=-1) {
		return true;
		}
}
return false;
}


function CadenaVacia(cadena) {
if (cadena.length==0){
	return true;
	}
else {
	return false;
	}
}

function CadenaVaciaBlancos(cadena) {
var salida='';
for (var i=0;i<cadena.length;i++) {
	if (cadena.substring(i,i+1)!=' ')
		salida=salida+cadena.substring(i,i+1);
	}
if (salida.length==0){
	return true;
	}
else {
	return false;
	}
}
function validar_radio(cadena)
{
var ban;
ban = 1;
for (var i=0; i<cadena.length; i++) 
{
if (cadena[i].checked) 
 { ban = 0; break;}
 
 } 
 return ban;
}

function predet()
{
	document.f1.dia.options[<?php echo $day;?>].selected = true
	document.f1.mes.options[<?php echo $month;?>].selected = true
	document.f1.anio.options[<?php echo $year;?>].selected = true	
	document.f1.pais.options[<?php echo $pais;?>].selected = true
	cambia_estado();
	<?php 
	$estado--;
	if($pais == 1)
	echo "document.f1.estado.options[$estado].selected = true;";
	$estado++;
     ?>
    document.f1.banco.options[<?php echo $banco; ?>].selected = true;
    mi_cuenta();
 	document.f1.apat.select()
}

function ValidarForm(e) {	

	if (CadenaVaciaBlancos(e.rfc.value)) {
	alert("El campo RFC es obligatorio");
	e.rfc.select();
	return false;
	}	
	if (CadenaVaciaBlancos(e.apat.value)) {
	alert("El campo apellido paterno es obligatorio");
	e.apat.select();
	return false;
	}	
	if (CadenaVaciaBlancos(e.amat.value)) {
	alert("El campo apellido materno es obligatorio");
	e.amat.select();
	return false;
	}
	if (CadenaVaciaBlancos(e.noms.value)) {
	alert("El campo nombre es obligatorio");
	e.noms.select();
	return false;
	}
	if (CadenaVaciaBlancos(e.dom.value)) {
	alert("El campo domicilio es obligatorio");
	e.apat.select();
	return false;
	}
	if (CadenaVaciaBlancos(e.col.value)) {
	alert("El campo colonia es obligatorio");
	e.col.select();
	return false;
	}
	if(e.pais[e.pais.selectedIndex].value == 0)
	{
	alert("Por favor selecciona tu pais")
	return false	
	}
	if (CadenaVaciaBlancos(e.ciud.value)) {
	alert("El campo ciudad es obligatorio");
	e.ciud.select();
	return false;
	}
	if (CadenaVaciaBlancos(e.tel1.value)) {
	alert("Por lo menos escribe un telefono");
	e.tel1.select();
	return false;
	}
	if(!ValidarNumerico(e.tel1.value))
	{
		alert("Solo escribe numeros en el campo Telefono 1")
		e.tel1.select()
		return false
	}
	if(!CadenaVaciaBlancos(e.tel2.value))
	{ 
		if(!ValidarNumerico(e.tel2.value))
		{
		alert("Solo escribe numeros en el campo Telefono 2 o dejalo en blanco")
		e.tel2.select()
		return false
		}	
	}
	if(!CadenaVaciaBlancos(e.email.value))
	{ 
		if(!ValidarEmail(e.email.value))
		{
		alert("El email esta mal escrito, verificalo o dejalo en blanco")
		e.email.select()
		return false
		}	
	}
	if (CadenaVaciaBlancos(e.cp.value)) {
	alert("El campo C.P. es obligatorio");
	e.cp.select();
	return false;
	}
	if (validar_radio(e.edociv) == 1){
 	alert("No has seleccionado un estado civil")
	 return false
	}
	if(e.banco[e.banco.selectedIndex].value != 0)
	{
		if(CadenaVaciaBlancos(e.cuenta.value))
		{ 
			alert("Por favor escribe tu numero de cuenta o no selecciones un banco")
			return false		
		}
	}	

}
</script> 
<script language="JavaScript" src="popcalendar.js"></script> 
 </head>

<body onLoad="predet();">
<br />

<form name="f1" action="actualizar.php" method="post">
<table border="0" width="600" height="700" align="center" style="background: url(logotrans.gif)">
	<tr height="50">
	 <td colspan="2"><label style="color:#5C3C12">RFC Promotor:</label> <?php echo $rfcp; ?> </td>
	</tr>
	<tr height="50">
	 <td colspan="2"><label style="color:#5C3C12">Nombre Promotor:</label> <?php echo $nombrep; ?> </td>
	</tr>
	<tr height="50">
	 <td colspan="2"><label style="color:#5C3C12">RFC:</label> <input type="text" size="12" maxlength="10" name="rfc" value="<?php echo $rfc; ?>" style="font-family: Times New Roman;text-transform:uppercase;"> </td>
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">Apellido Paterno:</label> <input type="text" size="20" maxlength="20" name="apat" value="<?php echo $appat; ?>" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Apellido Materno:</label> <input type="text" size="20" maxlength="20" name="amat" value="<?php echo $apmat; ?>" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Nombre(s):</label> <input type="text" size="30" maxlength="30" name="noms" value="<?php echo $nombre; ?>" style="font-family: Times New Roman"> </td>
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">Domicilio:</label> <input type="text" size="25" maxlength="25" name="dom" value="<?php echo $domicilio; ?>" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Colonia:</label> <input type="text" size="25" maxlength="25" name="col" value="<?php echo $colonia; ?>" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Sector(opcional):</label> <input type="text" size="25" maxlength="25" name="sec" value="<?php echo $sector; ?>" style="font-family: Times New Roman"> </td>
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">Pa&iacute;s:</label> <select name="pais" onChange="cambia_estado()">
	 													   <option value='0'> Selecciona...</option>
	 													   <?php 
	 													   $qa = "SELECT * FROM pais";
														   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
	 													   $j=1;
														   while($reg = mysql_fetch_array($ca))
														   {
														   	echo "<option value='$j'>".$reg['descripcion'].'</option>';
														   $j++;
														   }
	 													   ?>
	 													   </select> </td>
	 <td><label style="color:#5C3C12">Ciudad:</label> <input type="text" size="20" maxlength="20" name="ciud" value="<?php echo $ciudad; ?>" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Estado:</label><select name="estado" disabled="True">
														   <option value="0">-</option>
	 													   </select></td>
	 
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">Tel. Fijo o Celular:</label> <input type="text" size="20" maxlength="18" name="tel1" value="<?php echo $tel1; ?>" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Otro tel.(opcional):</label> <input type="text" size="20" maxlength="18" name="tel2" value="<?php echo $tel2; ?>" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Email.(opcional):</label> <input type="text" size="30" maxlength="45" name="email" value="<?php echo $email; ?>" style="font-family: Times New Roman"> </td>
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">C.P.:</label> <input type="text" size="7" maxlength="5" name="cp" value="<?php echo $cp; ?>" style="font-family: Times New Roman">
</td>
	 <td colspan="2"><label style="color:#5C3C12">Fecha de Nacimiento: </label>
	 <select name="dia">
	 <option value="1">1
	 <option value="2">2
	 <option value="3">3
	 <option value="4">4
	 <option value="5">5
	 <option value="6">6
	 <option value="7">7
	 <option value="8">8
	 <option value="9">9
	 <option value="10">10
	 <option value="11">11
	 <option value="12">12
	 <option value="13">13
	 <option value="14">14
	 <option value="15">15
	 <option value="16">16
	 <option value="17">17
	 <option value="18">18
	 <option value="19">19
	 <option value="20">20
	 <option value="21">21
	 <option value="22">22
	 <option value="23">23
	 <option value="24">24
	 <option value="25">25
	 <option value="26">26
	 <option value="27">27
	 <option value="28">28
	 <option value="29">29
	 <option value="30">30
	 <option value="31">31
	 </select>
	 <select name="mes">
	 <option value="01"> Enero
	 <option value="02"> Febrero
	 <option value="03"> Marzo
	 <option value="04"> Abril
	 <option value="05"> Mayo
	 <option value="06"> Junio
	 <option value="07"> Julio
	 <option value="08"> Agosto
	 <option value="09"> Septiembre
	 <option value="10"> Octubre
	 <option value="11"> Noviembre
	 <option value="12"> Diciembre
	 </select>
	 <select name="anio">
	 
	 <?php
	 $x = 1920;
	 for($x;$x<1991;$x++)
	 echo "<option value='$x'> $x";
	 ?>
	 </select>
	 </td>
	</tr>	 
	<tr>
	<td><label style="color:#5C3C12">Sexo:</label><select name="sexo">
														   <?php
														   if(strcmp($sexo,"H") == 0)
														   { 
														    echo "<option value='H' selected>Hombre</option>";
														    echo "<option value='M'>Mujer</option>";
														   }
														   else
														   {
														   	echo "<option value='H'>Hombre</option>";
														    echo "<option value='M' selected>Mujer</option>";
														   }
														   ?>
														   
	 													   </select></td>	
	
	 </tr>													   
	 <tr height="50">
	 <td align="right"><label style="color:#5C3C12">Estado Civil:</label></td>
	 <td colspan="2">
	 	<?php 
	 		$qa = "SELECT * FROM edociv";
			$ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
	 		$j=1;
			while($reg = mysql_fetch_array($ca))
			{
			  if($edoc == $j)
			  echo "<input type='radio' name='edociv' value='$j' checked>".$reg['descripcion'].'<br />';
			  else
			  echo "<input type='radio' name='edociv' value='$j'>".$reg['descripcion'].'<br />';
			  $j++;
			 }
	    ?></td>
	</tr>
	<tr><td colspan="3">Si posees un numero de cuenta donde puedamos depositarte todas tus ganancias escribelo a continuacion, primero elije el Banco a cual perteneces.</td></tr>
	<tr height="50">
	<td><label style="color:#5C3C12">Banco:</label> <select name="banco" onChange="mi_cuenta()">
	 													   <option value='0'> No tengo cuenta</option>
	 													   	 	<?php 
	 															$qa = "SELECT * FROM banco";
																$ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
	 															$j=1;
																while($reg = mysql_fetch_array($ca))
																{
			 													 echo "<option value='$j'>".$reg['nombre'].'</option>';
			  													 $j++;
			 													}
	    														?>
	 													   </select>
<?php
if($dato[0]==10 || $dato[0]==13 || $dato[0]==84){
	$tipo_user=mysql_fetch_row(mysql_query("SELECT vip from inversionista where rfc='$rfc'"));
	$string_tipouser=($tipo_user[0]==1) ? $string_tipouser="VIP" : $string_tipouser="RRB";

echo "  													<br>
                                                           <label> Eres un distribuidor $string_tipouser<label>
                                                           <br>
	 													   <label>Tipo de usuario</label>
	 													   <select name='tipo_usr'>
	 													   	<option value='0' >RRB</option>
	 													   	<option value='1'>VIP</option>
	 													   </select></td>";
	 													   }
	 													   ?>
	<td colspan="2" align="center"><label style="color:#5C3C12">No. Cuenta:</label> <input type="text" disabled size="25" maxlength="25" name="cuenta" value="<?php echo $nocuenta; ?>" style="font-family: Times New Roman"> </td>
	</tr>
	<tr height="100"><td colspan="3"><label style="font-weight:bold;color:#FF0000">Es muy importante que antes de darle click al boton Actualizar, revisar todos los datos, de lo contrario, quedará registrado de manera incorrecta.</label></td></tr>
	<tr><td colspan="3" align="center" valign="middle">
    <?   echo"<input type=hidden name=idinv value=$id_dist />";   ?>                   
    <input type="submit" value="Actualizar" onClick="return ValidarForm(this.form)"></td></tr>
 </table>
</form>
</body>
</html>